Project/src/main/java/model/User.java
package model;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.Date;

public class User implements Serializable {
  private int id;
  private String loginId;
  private String name;
  private Date birthDate;
  private String password;
  private boolean isAdmin;
  private Timestamp createDate;
  private Timestamp updateDate;

  public User() {

  }

  public User(int id, String loginId, String name, String password, Date birthDate, boolean isAdmin,
      Timestamp createDate, Timestamp updateDate) {
    this.id = id;
    this.loginId = loginId;
    this.name = name;
    this.birthDate = birthDate;
    this.password = password;
    this.isAdmin = isAdmin;
    this.createDate = createDate;
    this.updateDate = updateDate;
  }

  public int getId() {
    return id;
  }

  public void setId(int id) {
    this.id = id;
  }

  public String getLoginId() {
    return loginId;
  }

  public void setLoginId(String loginId) {
    this.loginId = loginId;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public Date getBirthDate() {
    return birthDate;
  }

  public void setBirthDate(Date birthDate) {
    this.birthDate = birthDate;
  }

  public String getPassword() {
    return password;
  }

  public void setPassword(String password) {
    this.password = password;
  }

  public boolean isAdmin() {
    return isAdmin;
  }

  public void setAdmin(boolean isAdmin) {
    this.isAdmin = isAdmin;
  }

  public Timestamp getCreateDate() {
    return createDate;
  }

  public void setCreateDate(Timestamp createDate) {
    this.createDate = createDate;
  }

  public Timestamp getUpdateDate() {
    return updateDate;
  }

  public void setUpdateDate(Timestamp updateDate) {
    this.updateDate = updateDate;
  }

}

Project/src/main/java/controller/UserAddServlet.java
package controller;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;
import util.PasswordEncorder;

/**
 * Servlet implementation class UserAddServlet
 */
@WebServlet("/UserAddServlet")
public class UserAddServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserAddServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException {

      // ユーザー情報取得
      HttpSession session = request.getSession();
      User userInfo = (User) session.getAttribute("userInfo");

      // ユーザー情報取得できない場合
      if (userInfo == null) {
        response.sendRedirect("LoginServlet");
        return;
      }
      // ユーザー情報取得できたら、 userAdd.jspにフォワード
      RequestDispatcher dispatcher =
          request.getRequestDispatcher("/WEB-INF/jsp/MockSample/userAdd.jsp");
      dispatcher.forward(request, response);

      // ログインサーブレットにリダイレクト(ログアウト)
      response.sendRedirect("LoginServlet");
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException {
      // リクエストパラメータの文字コードを指定
      request.setCharacterEncoding("UTF-8");

      try {

      // リクエストパラメータ取得
      String loginId = request.getParameter("user-loginid");
      String password = request.getParameter("password");
      String passwordConfirm = request.getParameter("password-confirm");
      String name = request.getParameter("user-name");
      String birthDate = request.getParameter("birth-date");

      java.sql.Date date = null;

      // dateが数値のとき型変換
      if (!birthDate.equals("")) {
        date = java.sql.Date.valueOf(birthDate);
      }


      // リダイレクト
      // response.sendRedirect("UserList");
      

      if (!password.equals(passwordConfirm) || loginId.equals("") || date == null
          || name.equals("")) {

        // 入力画面戻る
        User user = new User();
        user.setLoginId(loginId);
        user.setName(name);
        user.setBirthDate(date);
        
        request.setAttribute("user", user);

        // リクエストスコープにエラーメッセージをセット
        request.setAttribute("errMsg", "入力された内容は正しくありません。");


        RequestDispatcher dispatcher =
            request.getRequestDispatcher("/WEB-INF/jsp/MockSample/userAdd.jsp");
        dispatcher.forward(request, response);
        return;

      }
      String encordstr = PasswordEncorder.encordPassword(password);

      UserDao dao = new UserDao();
      dao.insert(loginId, name, encordstr, date);

        // 成功した時一覧画面に遷移
      response.sendRedirect("UserListServlet");

    } catch (NumberFormatException e) {
      e.printStackTrace();
    }
  }
}

Project/src/main/java/controller/UserDeleteServlet.java
package controller;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UserDeleteServlet
 */
@WebServlet("/UserDeleteServlet")
public class UserDeleteServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserDeleteServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException {


      try {
      // ユーザー情報取得
      HttpSession session = request.getSession();
      User userInfo = (User) session.getAttribute("userInfo");

      // ユーザー情報取得できない場合
      if (userInfo == null) {
        response.sendRedirect("LoginServlet");
        return;
      }


      String id = request.getParameter("id");
      int num = Integer.valueOf(id).intValue();

      UserDao userDao = new UserDao();
      User user = userDao.findById(num);

      request.setAttribute("user", user);

      RequestDispatcher dispatcher =
          request.getRequestDispatcher("/WEB-INF/jsp/MockSample/userDelete.jsp");
      dispatcher.forward(request, response);

      // ログインサーブレットにリダイレクト(ログアウト)
      // response.sendRedirect("LoginServlet");
    } catch (NumberFormatException e) {
      e.printStackTrace();
    }
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException {
      // リクエストパラメータの文字コードを指定
      request.setCharacterEncoding("UTF-8");

      // リクエストパラメータ取得
      String id = request.getParameter("user-id");
      int num = Integer.valueOf(id).intValue();

      UserDao userDao = new UserDao();
      userDao.delete(num);

      // ユーザ一覧のサーブレットにリダイレクト
      response.sendRedirect("UserListServlet");



  }
}

Project/src/main/java/controller/UserDetailServlet.java
package controller;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UserDetailServlet
 */
@WebServlet("/UserDetailServlet")
public class UserDetailServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserDetailServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException {


      // ユーザー情報取得
      HttpSession session = request.getSession();
      User userInfo = (User) session.getAttribute("userInfo");

      // ユーザー情報取得できない場合
      if (userInfo == null) {
        response.sendRedirect("LoginServlet");
        return;
      }


      String id = request.getParameter("id");
      int num = Integer.valueOf(id).intValue();

      UserDao userDao = new UserDao();
      User user = userDao.findById(num);

      request.setAttribute("user", user);

      RequestDispatcher dispatcher =
          request.getRequestDispatcher("/WEB-INF/jsp/MockSample/userDetail.jsp");
      dispatcher.forward(request, response);

      // ログインサーブレットにリダイレクト(ログアウト)
      response.sendRedirect("LoginServlet");
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException {
      // リクエストパラメータの文字コードを指定
      request.setCharacterEncoding("UTF-8");
	}

}

Project/src/main/java/controller/UserListServlet.java
package controller;

import java.io.IOException;
import java.util.List;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;

/*** Servlet implementation class UserListServlet */
@WebServlet("/UserListServlet")
public class UserListServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /*** @see HttpServlet#HttpServlet() */
    public UserListServlet() {
        super();
    }

    /*** @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response) */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException {

      // ログインしているユーザー情報を取得
      HttpSession session = request.getSession();
      User userInfo = (User) session.getAttribute("userInfo");

      // ユーザー情報が取得できない場合
      if (userInfo == null) {
        response.sendRedirect("LoginServlet");
        return;
      }

      // ユーザ一覧情報を取得
      UserDao userDao = new UserDao();
      List<User> userList = userDao.findAll();

      // リクエストスコープにユーザ一覧情報をセット
      request.setAttribute("userList", userList);



      // ユーザ一覧のjspにフォワード
      RequestDispatcher dispatcher =
          request.getRequestDispatcher("/WEB-INF/jsp/MockSample/userList.jsp");
      dispatcher.forward(request, response);



	}

    /*** @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response) */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException {

      // リクエストパラメータの文字コードを指定
      request.setCharacterEncoding("UTF-8");

      // リクエストパラメータの入力項目を取得
      String loginId = request.getParameter("user-loginid");
      String name = request.getParameter("user-name");
      String dateStart = request.getParameter("date-start");
      String dateEnd = request.getParameter("date-end");

      // TODO 未実装：検索処理全般
      // TODO 未実装：どんな条件で検索したかわかるように画面に入力値を表示させること
      // User user = new User();
      // user.setLoginId(loginId);
      // user.setName(name);
      // user.setBirthDate(startDate);
      // user.setBirthDate(endDate);
      //
      // request.setAttribute("user", user);

      request.setAttribute("loginId", loginId);
      request.setAttribute("name", name);
      request.setAttribute("dateStart", dateStart);
      request.setAttribute("dateEnd", dateEnd);


      UserDao userDao = new UserDao();
      List<User> userList = userDao.search(loginId, name, dateStart, dateEnd);

      request.setAttribute("userList", userList);

      RequestDispatcher dispatcher =
          request.getRequestDispatcher("/WEB-INF/jsp/MockSample/userList.jsp");
      dispatcher.forward(request, response);



	}

}

Project/src/main/java/controller/UserUpdateServlet.java
package controller;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;
import util.PasswordEncorder;

/**
 * Servlet implementation class UserUpdateServlet
 */
@WebServlet("/UserUpdateServlet")
public class UserUpdateServlet extends HttpServlet {
  private static final long serialVersionUID = 1L;

  /**
   * @see HttpServlet#HttpServlet()
   */
  public UserUpdateServlet() {
    super();
    // TODO Auto-generated constructor stub
  }

  /**
   * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
   */
  protected void doGet(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {


    // ユーザー情報取得
    HttpSession session = request.getSession();
    User userInfo = (User) session.getAttribute("userInfo");

    // ユーザー情報取得できない場合
    if (userInfo == null) {
      response.sendRedirect("LoginServlet");
      return;
    }


    String id = request.getParameter("id");
    int num = Integer.valueOf(id).intValue();

    UserDao userDao = new UserDao();
    User user = userDao.findById(num);

    request.setAttribute("user", user);

    RequestDispatcher dispatcher =
        request.getRequestDispatcher("/WEB-INF/jsp/MockSample/userUpdate.jsp");
    dispatcher.forward(request, response);

    // ログインサーブレットにリダイレクト(ログアウト)
    response.sendRedirect("LoginServlet");
  }

  /**
   * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
   */
  protected void doPost(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {
    // リクエストパラメータの文字コードを指定
    request.setCharacterEncoding("UTF-8");

    try {
      java.sql.Date date = null;

      // リクエストパラメータ取得
      String id = request.getParameter("user-id");
      String loginId = request.getParameter("loginId");
      String password = request.getParameter("password");
      String passwordConfirm = request.getParameter("password-confirm");
      String name = request.getParameter("user-name");
      String birthDate = request.getParameter("birth-date");


      // dateが数値のとき型変換
      if (!birthDate.equals("")) {
        date = java.sql.Date.valueOf(birthDate);
      }

      int num = Integer.valueOf(id).intValue();

      if (name.equals("") || date == null || !password.equals(passwordConfirm)) {

        // 情報更新画面戻る

        User user = new User();
        user.setId(num);
        user.setLoginId(loginId);
        user.setName(name);
        user.setBirthDate(date);

        request.setAttribute("user", user);

        // リクエストスコープにエラーメッセージをセット
        request.setAttribute("errMsg", "入力された内容は正しくありません。");

        RequestDispatcher dispatcher =
            request.getRequestDispatcher("/WEB-INF/jsp/MockSample/userUpdate.jsp");
        dispatcher.forward(request, response);
        return;
      }

      String encordstr = PasswordEncorder.encordPassword(password);

      UserDao userDao = new UserDao();
      userDao.update(num, name, encordstr, date);


      // 成功した時一覧画面に遷移
      response.sendRedirect("UserListServlet");


    } catch (NumberFormatException e) {
      e.printStackTrace();
    }
  }
}

Project/src/main/webapp/WEB-INF/jsp/MockSample/userAdd.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>


<!DOCTYPE html>
<html lang="ja">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>ユーザ新規登録画面</title>
<!-- BootstrapのCSS読み込み -->
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">
<!-- オリジナルCSS読み込み -->
<link href="css/original/common.css" rel="stylesheet">

</head>

<body>

	<!-- header -->
	<header>
		<nav
			class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">

			<ul class="navbar-nav flex-row">
				<li class="nav-item"><span class="navbar-text">${userInfo.name} さん</span>
				</li>
				<li class="nav-item"><a class="nav-link text-danger"
					href="LogoutServlet">ログアウト</a></li>
			</ul>
		</nav>
	</header>
	<!-- /header -->
 
	<!-- body -->
	<div class="container-fluid">
		<div class="row mb-3">
			<div class="col">
				<h1 class="text-center">ユーザ新規登録</h1>
			</div>
		</div>

		<div class="row">
			<div class="col-6 offset-3 mb-5">
			<!-- エラー処理 start -->
				<c:if test="${errMsg != null}">
				<div class="alert alert-danger" role="alert">${errMsg}</div>
				</c:if>
				<!--エラー処理 end  -->
			</div>
		</div>

		<div class="row">
			<div class="col-6 offset-3">
				 <form action="UserAddServlet" method="post">
					<div class="form-group row">
						<label for="user-id" class="control-label col-3">ログインID</label>
						<div class="col-9">
							<input type="text" name="user-loginid" id="user-loginid"
								class="form-control" value="${user.loginId}">
						</div>
					</div>
					<div class="form-group row">
						<label for="password" class="control-label col-3">パスワード</label>
						<div class="col-9">
							<input type="password" name="password" id="password"
								class="form-control">
						</div>
					</div>
					<div class="form-group row">
						<label for="password-confirm" class="control-label col-3">パスワード(確認)</label>
						<div class="col-9">
							<input type="password" name="password-confirm"
								id="password-confirm" class="form-control">
						</div>
					</div>
					<div class="form-group row">
						<label for="user-name" class="control-label col-3">ユーザ名</label>
						<div class="col-9">
							<input type="text" name="user-name" id="user-name"
								class="form-control" value="${user.name}">
						</div>
					</div>
					<div class="form-group row">
						<label for="continent" class="control-label col-3">生年月日</label>

						<div class="col-9">
							<input type="date" name="birth-date" id="birth-day"
								class="form-control" size="30" value="${user.birthDate}">
						</div>
					</div>

					<div>
						<button type="submit" value="登録"
							class="btn btn-primary btn-block form-submit">登録</button>
					</div>
					<div class="row mt-3">
						<div class="col">
							<a href="UserListServlet">戻る</a>
							
						</div>
					</div>
				</form>
			</div>
		</div>
	</div>
	




</body>

</html>

Project/src/main/webapp/WEB-INF/jsp/MockSample/userDelete.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>


<!DOCTYPE html>
<html lang="ja">

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>ユーザ削除画面</title>
	<!-- BootstrapのCSS読み込み -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
		integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

</head>

<body>

	<!-- header -->
	<header>
		<nav class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">

			<ul class="navbar-nav flex-row">
				<li class="nav-item"><span class="navbar-text">${userInfo.name} さん</span>
				</li>
				<li class="nav-item"><a class="nav-link text-danger" href="LogoutServlet">ログアウト</a></li>
			</ul>
		</nav>
	</header>
	<!-- /header -->

	<!-- body -->
	<div class="container">
		<div class="row">
			<div class="col-6 offset-3">
				<div class="row mb-5 mt-3">
					<div class="col">
						<h1 class="text-center">ユーザ削除確認</h1>
					</div>
				</div>
				<div class="row">
					<div class="col">
					
					
						<p>ログインID： ${user.loginId}</p>
						<p>を本当に削除してよろしいでしょうか？</p>
						
					</div>
				</div>
				<form action="UserDeleteServlet" method="post">
				<div class="row">
					<div class="col">
						<a href="UserListServlet" class="btn btn-light btn-block">いいえ</a>
					</div>
					
					<input type="hidden" name="user-id" value="${user.id}">
					<div class="col">
					<button type="submit" value=""
							class="btn btn-primary btn-block">はい</button>					
					</div>	
											
				</div>
				</form>	
			</div>
		</div>
	</div>
</body>
</html>

Project/src/main/webapp/WEB-INF/jsp/MockSample/userList.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>

<!DOCTYPE html>
<html lang="ja">

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>ユーザ一覧画面</title>
	<!-- BootstrapのCSS読み込み -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
		integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
	<!-- オリジナルCSS読み込み -->
	<link href="css/original/common.css" rel="stylesheet">
</head>

<body>

	<!-- header -->
	<header>
		<nav class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">

			<ul class="navbar-nav flex-row">
				<li class="nav-item"><span class="navbar-text">${userInfo.name} さん</span>
				</li>
				<li class="nav-item"><a class="nav-link text-danger" href="LogoutServlet">ログアウト</a></li>
			</ul>
		</nav>
	</header>
	<!-- /header -->
	

	<div class="container">
	<form action="UserAddServlet" method="GET">
		<div class="row">
			<div class="col">
				<h1 class="text-center">ユーザ一覧</h1>
			</div>
		</div>

		<!-- 新規登録リンク -->
		<div class="row">
			<div class="col">
				<p class="text-right">
					<a href="UserAddServlet">新規登録</a>
				</p>
			</div>
		</div>
	</form>

		<!-- 検索ボックス -->
		<form action="UserListServlet" method="post">
		<div class="row">	
			<div class="col">
				<div class="card">
					<div class="card-body">					
						<div class="form-group row">
							<label for="loginId" class="col-2 col-form-label">ログインID</label>
							<div class="col-10">
								<input type="text" name="user-loginid" class="form-control" id="loginId" 
								value="${loginId}">
							</div>
						</div>
						<div class="form-group row">
							<label for="userName" class="col-2 col-form-label">ユーザ名</label>
							<div class="col-10">
								<input type="text" name="user-name" class="form-control" id="userName" 
								value="${name}">
							</div>
						</div>
						<div class="form-group row">
							<label for="birthDate" class="col-2 col-form-label">生年月日</label>
							<div class="col-10">
								<div class="row">
									<div class="col-5">
										<input type="date" name="date-start" id="startBirthDate" class="form-control"
											value="${dateStart}">
									</div>
									<div class="col-2 text-center">~</div>
									<div class="col-5">
										<input type="date" name="date-end" id="endBirthDate" class="form-control"
											value="${dateEnd}">
									</div>
								</div>
							</div>
						</div>
						<div class="text-right">
							<button type="submit" class="btn btn-primary form-submit">検索</button>
						</div>
					
					</div>
				</div>
			</div>
		</div>
		</form>
		<!-- 検索結果一覧 -->
		<div class="row mt-3">
			<div class="col">
				<table class="table table-striped">
					<thead class="thead-dark">
						<tr>
							<th>ログインID</th>
							<th>ユーザ名</th>
							<th>生年月日</th>
							<th></th>						
						</tr>					
					</thead>				
					<tbody>
					<c:forEach var="user" items="${userList}">
						<tr>						
							<td>${user.loginId}</td>
							<td>${user.name}</td>
							<td><fmt:formatDate value="${user.birthDate}"
									pattern="yyyy年MM月dd日" /></td>									
							<!-- TODO 未実装；ログインボタンの表示制御を行う -->
							<td class="float-right">
							<c:if test="${userInfo.admin or userInfo.loginId == user.loginId}">
							<a class="btn btn-success" href="UserUpdateServlet?id=${user.id}">更新</a></c:if>
							<a class="btn btn-primary"href="UserDetailServlet?id=${user.id}">詳細</a>
							
								<c:if test="${userInfo.admin}">
									<a class="btn btn-danger"href="UserDeleteServlet?id=${user.id}">削除</a>
								</c:if></td>							
						</tr>						
						</c:forEach>					
					</tbody>				
				</table>							
			</div>		
		</div>	
	</div>
</body>
</html>